# Uses of Interface
org.opensaml.saml.saml2.metadata.AssertionIDRequestService

Packages that use AssertionIDRequestService
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AssertionIDRequestService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AssertionIDRequestService
Modifier and Type
Method
Description
`List<AssertionIDRequestService>`
AttributeAuthorityDescriptor.`getAssertionIDRequestServices()`
Gets a list of Assertion ID request services.
`List<AssertionIDRequestService>`
AuthnAuthorityDescriptor.`getAssertionIDRequestServices()`
Gets the list of assertion ID request services for this authority.
`List<AssertionIDRequestService>`
IDPSSODescriptor.`getAssertionIDRequestServices()`
Gets the list of assertion ID request services.
`List<AssertionIDRequestService>`
PDPDescriptor.`getAssertionIDRequestServices()`
Gets the list of assertion ID request services for this PDP.

## Uses of AssertionIDRequestService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AssertionIDRequestService
Modifier and Type
Class
Description
`class`
`AssertionIDRequestServiceImpl`
Concrete implementation of `AssertionIDRequestService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AssertionIDRequestService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionIDRequestService>`
AttributeAuthorityDescriptorImpl.`assertionIDRequestServices`
Assertion request endpoints.
`private final XMLObjectChildrenList<AssertionIDRequestService>`
AuthnAuthorityDescriptorImpl.`assertionIDRequestServices`
AuthnQueryService endpoints.
`private final XMLObjectChildrenList<AssertionIDRequestService>`
IDPSSODescriptorImpl.`assertionIDRequestServices`
AssertionID request services for this entity.
`private final XMLObjectChildrenList<AssertionIDRequestService>`
PDPDescriptorImpl.`assertionIDRequestServices`
AssertionIDRequestService children.
Methods in org.opensaml.saml.saml2.metadata.impl that return AssertionIDRequestService
Modifier and Type
Method
Description
`AssertionIDRequestService`
AssertionIDRequestServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AssertionIDRequestService`
AssertionIDRequestServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AssertionIDRequestService
Modifier and Type
Method
Description
`List<AssertionIDRequestService>`
AttributeAuthorityDescriptorImpl.`getAssertionIDRequestServices()`
Gets a list of Assertion ID request services.
`List<AssertionIDRequestService>`
AuthnAuthorityDescriptorImpl.`getAssertionIDRequestServices()`
Gets the list of assertion ID request services for this authority.
`List<AssertionIDRequestService>`
IDPSSODescriptorImpl.`getAssertionIDRequestServices()`
Gets the list of assertion ID request services.
`List<AssertionIDRequestService>`
PDPDescriptorImpl.`getAssertionIDRequestServices()`
Gets the list of assertion ID request services for this PDP.